Eclipse jre

Eclipse jre

Я использую Eclipse EE 3.7 с установленным плагином m2e. У меня JDK7 установлен в eclipse. Когда я импортирую проекты maven, JRE имеет значение JRE System Library [J2SE-1.5], поэтому у меня есть проблемы с компиляцией, связанные с java 6. Вместо этого я хочу, чтобы JRE в eclipse по умолчанию устанавливался в JRE System Library [J2SE-1.6]

Когда я пытаюсь открыть новый проект в проекте eclipse File → new → Java на первом экране, у меня есть возможность выбрать JRE, а третий вариант Use default JRE (currently 'jdk1.7.0_03')

Из этого я вижу, что по умолчанию JRE в Eclipse равен 1.7, но когда я импортирую новые проекты Maven, JRE по умолчанию устанавливается в 1.5.

Любая помощь, как я могу это сделать?

источник поделиться

Источник: qaru.site


Добавить комментарий